.TH MPROJEXEC 1 "Dec 2016" "Montage 5" "Montage"
.SH NAME
mProjExec \- Re-project and mosaic your images, with background rectification

.SH SYNOPSIS
mProjExec [\-q] [\-p \fIrawdir\fP] [\-d] [\-e] [\-X] [\-b \fIborder\fP] [\-r \fIrestartrec\fP] [\-s \fIstatusfile\fP] [\-x scaleColumn] images.tbl template.hdr projdir stats.tbl

.SH DESCRIPTION
An executive which runs \fBmProject\fP (or, if possible for the input/output projections, \fBmProjectPP\fP) for each image in an image metadata table.   In the case of data cubes, \fBmProjectCube\fP will be used.

.SH OPTIONS
.TP
\-q
Use mProjectQL for reprojections.  Much faster but not quite flux-conserving.
.TP
\-p \fIrawdir\fP
Specifies the path to the directory containing the images to be reprojected.  If the \-p switch is not included, \fBmProjExec\fP looks for the images in the current working directory.
.TP
\-d
Turns on debugging
.TP
\-e
Flag indicating output image should exactly match the FITS header template, and not crop off blank pixels
.TP
\-X
Force reprojection of whole images, even if they exceed the area of the FITS header template
.TP
\-b \fIborder\fP
Ignore \fIborder\fP width of pixels around edge of images
.TP
\-r \fIrestartrec\fP
Allows restart at record number \fIrestartrec\fP, if \fBmProjExec\fP exits upon an error
.TP
\-s \fIstatusfile\fP
Output and errors are written to statusfile instead of being written to stdout.
.TP
\-x \fIscaleColumn\fP
Turn on flux rescaling (e.g. magnitude zero point correction): \fIscaleColumn\fP is the name of a column in \fIimages.tbl\fP which contains scale information.

.SH ARGUMENTS
.TP
images.tbl
ASCII table (generated by \fBmImgtbl\fP) containing metadata for all images to be reprojected.
.TP
template.hdr
FITS header template to be used in generation of output FITS.
.TP
projdir
Directory in which to create reprojected images.
.TP
stats.tbl
Name of table for output statistics (time of each reprojection, or error messages).

.SH RESULT
\fB[struct stat="OK", count=16, failed=0, nooverlap=0]\fP
.PP
For each input file \fBname.fits\fP in the table \fBimages.tbl\fP, \fBmProjExec\fP creates a corresponding \fBname.fits\fP and \fBname_area.fits\fP in the directory \fBprojdir\fP.
.PP
\fInimages\fP is the number of images successfully processed, \fInfailed\fP is the number of images mProject was unable to process, and \fInoutside\fP is the number of images that did not overlap with the given \fBtemplate.hdr\fP.
.PP
The file \fBstats.tbl\fP is an ASCII table containing the filename, status, and time for each file.

.SH MESSAGES
.TP
OK
[struct stat="OK", count=\fInimages\fP, failed=\fInfailed\fP, nooverlap=\fInoutside\fP]
.TP
ERROR
MPI initialization failed
.TP
ERROR
Path (\fIoutdir\fP) is not a directory
.TP
ERROR
Restart index value string \fIn\fP cannot be interpreted as an integer
.TP
ERROR
Restart index value \fIn\fP must be greater than or equal to zero
.TP
ERROR
Cannot open status file: \fIstatusfile\fP
.TP
ERROR
Can't open output file.
.TP
ERROR
Can't open tmp status file.
.TP
ERROR
Can't delete tmp status file.
.TP
ERROR
Need column fname in input
.TP
ERROR
Need column \fIscaleCol\fP in input
.TP
ERROR
Output would overwrite input
.TP
ERROR
Template file \fItemplate.hdr\fP not found
.TP
ERROR
Output wcsinit() failed
.TP
ERROR
mProject or mProjectPP error

.SH EXAMPLES
.PP
The following example runs \fBmProjExec\fP on a directory containing 16 images. The \-f switch specifies that \fBmProjExec\fP will use \fBmProjectPP\fP to reproject the files, as opposed to \fBmProject\fP. Relevant files are images.tbl, generated by \fBmImgtbl\fP, and template.hdr.  Files will be created in the directory \fBprojdir\fP.
.TP
$ mProjExec \-p raw images.tbl template.hdr proj stats.tbl
[struct stat="OK", count=16, failed=0, nooverlap=0]
.PP
See output file \fBstats.tbl\fP.

.SH BUGS
The drizzle algorithm has been implemented but has not been tested
in this release.
.PP
If a header template contains carriage returns (i.e., created/modified
on a Windows machine), the cfitsio library will be unable to read it
properly, resulting in the error: [struct stat="ERROR", status=207,
msg="illegal character in keyword"]
.PP
It is best for the background correction algorithms if the area
described in the header template completely encloses all of the input
images in their entirety. If parts of input images are "chopped off"
by the header template, the background correction will be affected. We
recommend you use an expanded header for the reprojection and
background modeling steps, returning to the originally desired header
size for the final coaddition. The default background matching assumes
that there are no non-linear background variations in the individual
images (and therefore in the overlap differences). If there is any
uncertainty in this regard, it is safer to turn on the "level only"
background matching (the "\-l" flag in mBgModel.

.SH COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California
.PP
If your research uses Montage, please include the following
acknowledgement: "This research made use of Montage. It is funded by
the National Science Foundation under Grant Number ACI-1440620, and
was previously funded by the National Aeronautics and Space
Administration's Earth Science Technology Office, Computation
Technologies Project, under Cooperative Agreement Number NCC5-626
between NASA and the California Institute of Technology."
.PP
The Montage distribution includes an adaptation of the MOPEX algorithm
developed at the Spitzer Science Center.
